org.modeshape.jcr.value

## Interface UuidFactory

- All Superinterfaces:
    ValueFactory<UUID>
  All Known Implementing Classes:
    UuidValueFactory

      @ThreadSafe
      public interface UuidFactory
      extends ValueFactory<UUID>

  A factory for creating `UUID instances`. This interface extends the `ValueFactory` generic interface and adds specific methods for creating UUIDs.

- - ### Field Summary

    - ### Fields inherited from interface org.modeshape.jcr.value.ValueFactory

      `DEFAULT_DECODER, DEFAULT_ENCODER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UUID` | `create()` Create a new random UUID.
    `UuidFactory` | `with(ValueFactories valueFactories)` Return a potentially new copy of this factory that uses the supplied ValueFactories object.

    - ### Methods inherited from interface org.modeshape.jcr.value.ValueFactory

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, createEmptyArray, getPropertyType`

- - ### Method Detail

    - #### with

          UuidFactory with(ValueFactories valueFactories)

      Description copied from interface: `ValueFactory`
      Return a potentially new copy of this factory that uses the supplied ValueFactories object.
      Specified by:
        `with` in interface `ValueFactory<UUID>`
      Parameters:
        `valueFactories` - the value factories object; may not be null
      Returns:
        the factory, which may be a new instance or may be this object if the supplied value factories is the same as used by this factory; never null

    - #### create

          UUID create()

      Create a new random UUID.
      Returns:
        the new randomly generated UUID

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.